MINTPY-TIMESERIES_RMS(1)

NAME
mintpy-timeseries_rms - Calculate Root Mean Square (RMS) of deramped residual phase time-series.

DESCRIPTION
usage: timeseries_rms.py [-h] [-t TEMPLATE_FILE] [-m MASKFILE] [-r DERAMP]

[--cutoff CUTOFF] [--figsize WID LEN]
    [--tick-year-num TICK_YEAR_NUM] timeseries_file

Calculate Root Mean Square (RMS) of deramped residual phase time-series.

  positional arguments:

timeseries_file
    Timeseries file

  options:

-h, --help
    show this help message and exit

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    template file with options

-m MASKFILE, --mask MASKFILE
    mask file for estimation

-r DERAMP, --ramp DERAMP, --deramp DERAMP
    ramp type to be remove for RMS calculation. Default - quadratic; no - do not remove ramp

--cutoff CUTOFF
    M-score used for outlier detection based on standardised residuals Recommend range: [3, 4], default is 3.

--figsize WID LEN
    figure size in inches - width and length

--tick-year-num TICK_YEAR_NUM
    Year number per major tick

  template options:

    ## Calculate the Root Mean Square (RMS) of residual phase time-series for each acquisition ## reference: Yunjun et al. (2019, section 4.9 and 5.4) ## To get rid of long wavelength component in space, a ramp is removed for each acquisition ## Set optimal reference date to date with min RMS ## Set exclude dates (outliers) to dates with RMS > cutoff * median RMS (Median Absolute Deviation) mintpy.residualRMS.maskFile = auto #[file name / no], auto for maskTempCoh.h5, mask for ramp estimation mintpy.residualRMS.deramp = auto #[quadratic / linear / no], auto for quadratic mintpy.residualRMS.cutoff = auto #[0.0-inf], auto for 3

  example:

timeseries_rms.py
    timeseriesResidual.h5

timeseries_rms.py
    timeseriesResidual.h5 --template smallbaselineApp.cfg

timeseries_rms.py
    timeseriesResidual.h5 -m maskTempCoh.h5 --cutoff 3